Bug 54964 - Update to CAD/felt
Summary: Update to CAD/felt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-27 23:50 UTC by Pedro F. Giffuni
Modified: 2003-08-25 01:36 UTC (History)
0 users

See Also:


Attachments
patch-felt (20.20 KB, application/octet-stream)
2003-07-28 01:53 UTC, Pedro F. Giffuni
no flags Details
patch-felt.txt (19.43 KB, patch)
2003-07-28 02:22 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2003-07-27 23:50:13 UTC
A did some minor cleanup of the port, hopefully this will work on gcc-3.3.
I suggest this port is moved to the science category, along with freefem and
femlab.

Fix: 

________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
--0-1886014272-1059346028=:88979
Content-Type: application/octet-stream; name=patch-felt
Content-Transfer-Encoding: base64
Content-Description: patch-felt
Content-Disposition: attachment; filename=patch-felt
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--0-1886014272-1059346028=:88979--
Comment 1 Pedro F. Giffuni 2003-07-28 01:53:43 UTC
Take II: my mailer is doing bad things with the patch.

Also, just to mention, the patch to oogl.h should work on the previous felt
version too.

________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
Comment 2 Pedro F. Giffuni 2003-07-28 02:22:26 UTC
LAST ATTEMPT.. if it doesn't get there in text form, just ask me and I'll email
it directly to the committer. Sorry.

________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
Comment 3 Edwin Groothuis freebsd_committer 2003-08-25 01:36:28 UTC
State Changed
From-To: open->closed

Commited, thanks!